Page MenuHomePhabricator

Chores: Find out why tests fail when upgrading netlify-cli from 16.8.0 to 17.15.x
Open, Needs TriagePublic

Description

Investigate what is the issue when updating netlify-cli from 16.8.0 to 17.15.6. The tests in the Addbot PR fail.

Update: this ticket has been superseded by a new patch update that is also failing: Bump netlify-cli from 16.8.0 to 17.15.7. If the patch has been abandoned by the time this ticket is worked on, look for the latest netlify-cli version and check if the tests are failing.

The failures in both patches started with the package /src/node_modules/netlify-cli/node_modules/sharp:

12:07:33 npm ERR! path /src/node_modules/netlify-cli/node_modules/sharp
12:07:33 npm ERR! command failed
12:07:33 npm ERR! command sh -c (node install/libvips && node install/dll-copy && prebuild-install) || (node install/can-compile && node-gyp rebuild && node install/dll-copy)
12:07:33 npm ERR! sharp: Are you trying to install as a root or sudo user?
12:07:33 npm ERR! sharp: - For npm <= v6, try again with the "--unsafe-perm" flag
12:07:33 npm ERR! sharp: - For npm >= v8, the user must own the directory "npm install" is run in
12:07:33 npm ERR! sharp: Please see https://sharp.pixelplumbing.com/install for required dependencies
12:07:33 npm ERR! sharp: Installation error: EACCES: permission denied, mkdir '/nonexistent/.npm'

Event Timeline

guergana.tzatchkova renamed this task from Chores: Find out why tests fail when upgrading netlify-cli from 16.8.0 to 17.15.6 to Chores: Find out why tests fail when upgrading netlify-cli from 16.8.0 to 17.15.x.Feb 1 2024, 3:13 PM
guergana.tzatchkova updated the task description. (Show Details)

sprint 6 planning : to be revisited after the migration to vue3 to be checked for validity then